package biz.bbdm;


import biz.bbdm.BbdmVo;

import java.sql.*;
import java.util.ArrayList;
import java.util.List;


/**
 * Java中使用JDBC连接数据库
 * 1） 加载驱动 2） 创建数据库连接
 * 3） 创建执行sql的语句 4） 执行语句 5） 处理执行结果 6） 释放资源
 *
 * @author ljt
 */
public class BbdmConn {


    /**
     * Statement 和 PreparedStatement之间的关系和区别.
     * 关系：PreparedStatement继承自Statement,都是接口
     * 区别：PreparedStatement可以使用占位符，是预编译的，批处理比Statement效率高
     */
    public static List<BbdmVo> conn(String sql) {

        String URL = "jdbc:mysql://192.168.10.102:3306/tax_tb?characterEncoding=utf-8";
        String USER = "admin";
        String PASSWORD = "!SwK#2@hzBuzxWiL";

        List<BbdmVo> bddmVos = new ArrayList<>();

        // 1.加载驱动程序
        try {
            Class.forName("com.mysql.jdbc.Driver");
            // 2.获得数据库链接
            Connection conn = DriverManager.getConnection(URL, USER, PASSWORD);
            // 3.通过数据库的连接操作数据库，实现增删改查（使用Statement类）
            //预编译
            PreparedStatement statement = conn.prepareStatement(sql);
            // statement.setString(1, TIP);
            ResultSet rs = statement.executeQuery();
//			String sql="select * from userinfo where UserName='"+name+"'";
//			Statement statement = conn.createStatement();
//			ResultSet rs = statement.executeQuery(sql);
            // 4.处理数据库的返回结果(使用ResultSet类)

            while (rs.next()) {

                BbdmVo vo = new BbdmVo ();
                vo.setZsxm_dm(rs.getString("zsxm_dm"));
                vo.setBb_dm(rs.getString("bb_dm"));
                        vo.setXh (rs.getInt("xh"))
                        .setZbbz(rs.getString("zbbz"))
                        .setPzzl_dm(rs.getString("pzzl_dm"))
                        .setBblx_dm(rs.getString("bblx_dm"))
                        .setBb_mc(rs.getString("bb_mc"))
                        .setYxbz(rs.getString("yxbz"))
                        .setBz(rs.getString("bz"))
                        .setVersion_number(rs.getString("version_number"))
                        .setYyq_q(rs.getString("yyq_q"))
                        .setYyq_z(rs.getString("yyq_z"));


                bddmVos.add(vo);
            }

            System.out.println("---------------------");
            // 关闭资源
            conn.close();
            rs.close();
            statement.close();
        } catch (ClassNotFoundException e) {
            e.printStackTrace();
        } catch (SQLException e) {
            e.printStackTrace();
        }finally {

        }

        return bddmVos;
    }

}
